OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_Shell Class Reference

`#include <PTopoDS_Shell.hxx>`

Inheritance diagram for PTopoDS_Shell:

[legend]

## Public Member Functions
Standard_EXPORT | PTopoDS_Shell ()
| PTopoDS_Shell (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_Shell::PTopoDS_Shell | ( |  | ) |

PTopoDS_Shell::PTopoDS_Shell | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_Shell::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_HShape.

The documentation for this class was generated from the following file:

- PTopoDS_Shell.hxx